############ STORAGE MODUL Config ############################################

storage_module.template_base=archive:///%root_dir%/storage_module/templates
storage_module.packages=file:///%root_dir%/storage_module/storage_module.zip
storage_module.image_base=archive:///%root_dir%/storage_module/images
storage_module.report_base=archive:///%root_dir%/storage_module/reports
storage_module.application=storage_module.application.StorageModuleApplication

############ STORAGE MODUL Datasources #######################################

StorageCarInfoList.datasourcetype=localdb
StorageCarInfoList.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_CAR_INFO
StorageCarInfoList.neededfields=MANUFACTURER_ID;MANUFACTURER_NAME;MANUFACTURER_TYPE;MODEL_ID;MODEL_NAME;MODEL_START_YEAR;MODEL_END_YEAR;FUEL_TYPE;SELECTED_YEAR;SELECTED_ENGINE_CODE;SELECTED_LITER;SELECTED_KW;SELECTED_PS;PLATE;VIN;KBA_ZU_1;KBA_ZU_2;KBA_ZU_3;MILEAGE;MILEAGE_DATE;NORM_PLATE;NORM_ENGINE_CODE;DATA_PROVIDER;DELETED;LAST_UPDATE
  
StorageCarInfoRecord.datasourcetype=localdb
StorageCarInfoRecord.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_CAR_INFO
StorageCarInfoRecord.neededfields=MANUFACTURER_ID;MANUFACTURER_NAME;MANUFACTURER_TYPE;MODEL_ID;MODEL_NAME;MODEL_START_YEAR;MODEL_END_YEAR;FUEL_TYPE;SELECTED_YEAR;SELECTED_ENGINE_CODE;SELECTED_LITER;SELECTED_KW;SELECTED_PS;PLATE;VIN;KBA_ZU_1;KBA_ZU_2;KBA_ZU_3;MILEAGE;MILEAGE_DATE;NORM_PLATE;NORM_ENGINE_CODE;DATA_PROVIDER;DELETED;LAST_UPDATE

StorageClientInfoList.datasourcetype=localdb
StorageClientInfoList.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_CLIENT_INFO
StorageClientInfoList.neededfields=CLIENT_NR;TITLE;NAME1;NAME2;NAME3;NAME4;STREET;CITYCODE;CITY;TEL1;TEL2;TEL3;TEL4;FAX1;FAX2;EMAIL1;EMAIL2;WEB1;WEB2;COMMENT;DELETED;LAST_UPDATE;DATA_PROVIDER
  
StorageClientInfoRecord.datasourcetype=localdb
StorageClientInfoRecord.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_CLIENT_INFO
StorageClientInfoRecord.neededfields=CLIENT_NR;TITLE;NAME1;NAME2;NAME3;NAME4;STREET;CITYCODE;CITY;TEL1;TEL2;TEL3;TEL4;FAX1;FAX2;EMAIL1;EMAIL2;WEB1;WEB2;COMMENT;DELETED;LAST_UPDATE;DATA_PROVIDER

StorageClientCarRelList.datasourcetype=localdb
StorageClientCarRelList.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_CLIENT_CAR_REL
StorageClientCarRelList.neededfields=STORAGE_CLIENT_ID;STORAGE_CAR_ID

StorageClientCarRelRecord.datasourcetype=localdb
StorageClientCarRelRecord.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_CLIENT_CAR_REL
StorageClientCarRelRecord.neededfields=STORAGE_CLIENT_ID;STORAGE_CAR_ID

StorageDataInfoList.datasourcetype=localdb
StorageDataInfoList.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_DATA_INFO
StorageDataInfoList.neededfields=CAR_ID;CLIENT_ID;DATA_TYPE;SAVE_DATE;DATA;DATA_PROVIDER;DELETED;VERSION

StorageDataInfoRecord.datasourcetype=localdb
StorageDataInfoRecord.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_DATA_INFO
StorageDataInfoRecord.neededfields=CAR_ID;CLIENT_ID;DATA_TYPE;SAVE_DATE;DATA;DATA_PROVIDER;DELETED;VERSION

StorageResultRamTree.datasourcetype=virtual
StorageResultRamTree.objectname=none
StorageResultRamTree.neededfields=VALUE

StorageClientInfoRamList.datasourcetype=virtual
StorageClientInfoRamList.objectname=none
StorageClientInfoRamList.neededfields=CLIENT_NR;TITLE;NAME1;NAME2;NAME3;NAME4;STREET;CITYCODE;CITY;TEL1;TEL2;TEL3;TEL4;FAX1;FAX2;EMAIL1;EMAIL2;WEB1;WEB2;COMMENT

StorageCarInfoRamList.datasourcetype=virtual
StorageCarInfoRamList.objectname=none
StorageCarInfoRamList.neededfields=MAN_DESC;BODY_DESC;CAR_DESC;MID;PLATE;CHASSIS_NUMBER

StorageFuelTypeRamList.datasourcetype=virtual
StorageFuelTypeRamList.objectname=none
StorageFuelTypeRamList.neededfields=VALUE

StorageTransmissionRamList.datasourcetype=virtual
StorageTransmissionRamList.objectname=none
StorageTransmissionRamList.neededfields=VALUE

StorageResultList.datasourcetype=virtual
StorageResultList.objectname=none
StorageResultList.neededfields=VALUE

StorageConfigRamList.datasourcetype=virtual
StorageConfigRamList.objectname=none
StorageConfigRamList.neededfields=VALUE

StorageDocumentList.datasourcetype=localdb
StorageDocumentList.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_DOCUMENT_INFO
StorageDocumentList.neededfields=STORAGE_DATA_ID;PROPERTIES;IDENTIFICATIONS;SELECTED_PROPERTIES

StorageDocumentRecord.datasourcetype=localdb
StorageDocumentRecord.objectname=LOCALDB:%root_dir%\\storage_module\\data\\STORAGE_DOCUMENT_INFO
StorageDocumentRecord.neededfields=STORAGE_DATA_ID;PROPERTIES;IDENTIFICATIONS;SELECTED_PROPERTIES

############ STORAGE MODUL END ################################################
